Skip to main content
GET
/
api
/
v1
/
clusters
/
hetzner
/
{cluster_id}
/
node-groups
List Node Groups Endpoint
import requests

url = "https://platform.ankra.app/api/v1/clusters/hetzner/{cluster_id}/node-groups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "node_groups": [
    {
      "name": "<string>",
      "instance_type": "<string>",
      "count": 123,
      "min": 0,
      "max": 100,
      "labels": {},
      "taints": [
        {
          "key": "<string>",
          "effect": "NoSchedule",
          "value": ""
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

cluster_id
string<uuid>
required

Response

Successful Response

node_groups
NodeGroupInfo · object[]
required